Package com.massivecraft.factions.zcore

## Class MPlugin

- java.lang.Object
- - org.bukkit.plugin.PluginBase
  - - org.bukkit.plugin.java.JavaPlugin
    - - com.massivecraft.factions.zcore.MPlugin

All Implemented Interfaces:
  `org.bukkit.command.CommandExecutor`, `org.bukkit.command.TabCompleter`, `org.bukkit.command.TabExecutor`, `org.bukkit.plugin.Plugin`

Direct Known Subclasses:
  `FactionsPlugin`

    public abstract class MPlugin
    extends org.bukkit.plugin.java.JavaPlugin

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`com.google.gson.Gson` | `gson` |
`protected boolean` | `loadSuccessful` |
`PermUtil` | `perm` |
`Persist` | `persist` |
`java.util.Map<java.lang.String,​java.lang.String>` | `rawTags` |
`java.lang.String` | `refCommand` |
`java.util.Map<java.util.UUID,​java.lang.Integer>` | `stuckMap` |
`TextUtil` | `txt` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`MPlugin()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addRawTags()` |
`boolean` | `getAutoSave()` |
`java.util.List<MCommand<?>>` | `getBaseCommands()` |
`com.google.gson.GsonBuilder` | `getGsonBuilder()` |
`java.util.Map<java.util.UUID,​java.lang.Integer>` | `getStuckMap()` |
`java.util.Map<java.util.UUID,​java.lang.Long>` | `getTimers()` |
`boolean` | `handleCommand​(org.bukkit.command.CommandSender sender, java.lang.String commandString)` |
`boolean` | `handleCommand​(org.bukkit.command.CommandSender sender, java.lang.String commandString, boolean testOnly)` |
`boolean` | `handleCommand​(org.bukkit.command.CommandSender sender, java.lang.String commandString, boolean testOnly, boolean async)` |
`void` | `initTXT()` |
`void` | `loadLang()` |
`void` | `log​(java.lang.Object msg)` |
`void` | `log​(java.lang.String str, java.lang.Object... args)` |
`void` | `log​(java.util.logging.Level level, java.lang.Object msg)` |
`void` | `log​(java.util.logging.Level level, java.lang.String str, java.lang.Object... args)` |
`boolean` | `logPlayerCommands()` |
`void` | `onDisable()` |
`void` | `postAutoSave()` |
`void` | `postEnable()` |
`void` | `preAutoSave()` |
`boolean` | `preEnable()` |
`void` | `setAutoSave​(boolean val)` |
`void` | `suicide()` |

### Methods inherited from class org.bukkit.plugin.java.JavaPlugin

`getClassLoader, getCommand, getConfig, getDataFolder, getDefaultWorldGenerator, getDescription, getFile, getLogger, getPlugin, getPluginLoader, getProvidingPlugin, getResource, getServer, getTextResource, isEnabled, isNaggable, onCommand, onEnable, onLoad, onTabComplete, reloadConfig, saveConfig, saveDefaultConfig, saveResource, setEnabled, setNaggable, toString`

### Methods inherited from class org.bukkit.plugin.PluginBase

`equals, getName, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### gson

    public final com.google.gson.Gson gson

#### persist

    public Persist persist

#### txt

    public TextUtil txt

#### perm

    public PermUtil perm

#### refCommand

    public java.lang.String refCommand

#### stuckMap

    public java.util.Map<java.util.UUID,​java.lang.Integer> stuckMap

#### rawTags

    public java.util.Map<java.lang.String,​java.lang.String> rawTags

#### loadSuccessful

    protected boolean loadSuccessful

### Constructor Detail

#### MPlugin

    public MPlugin()

### Method Detail

#### getAutoSave

    public boolean getAutoSave()

#### setAutoSave

    public void setAutoSave​(boolean val)

#### getBaseCommands

    public java.util.List<MCommand<?>> getBaseCommands()

#### preEnable

    public boolean preEnable()

#### postEnable

    public void postEnable()

#### loadLang

    public void loadLang()

#### onDisable

    public void onDisable()

Specified by:
  `onDisable` in interface `org.bukkit.plugin.Plugin`
Overrides:
  `onDisable` in class `org.bukkit.plugin.java.JavaPlugin`

#### suicide

    public void suicide()

#### getGsonBuilder

    public com.google.gson.GsonBuilder getGsonBuilder()

#### addRawTags

    public void addRawTags()

#### initTXT

    public void initTXT()

#### logPlayerCommands

    public boolean logPlayerCommands()

#### handleCommand

    public boolean handleCommand​(org.bukkit.command.CommandSender sender,
                                 java.lang.String commandString,
                                 boolean testOnly)

#### handleCommand

    public boolean handleCommand​(org.bukkit.command.CommandSender sender,
                                 java.lang.String commandString,
                                 boolean testOnly,
                                 boolean async)

#### handleCommand

    public boolean handleCommand​(org.bukkit.command.CommandSender sender,
                                 java.lang.String commandString)

#### preAutoSave

    public void preAutoSave()

#### postAutoSave

    public void postAutoSave()

#### getStuckMap

    public java.util.Map<java.util.UUID,​java.lang.Integer> getStuckMap()

#### getTimers

    public java.util.Map<java.util.UUID,​java.lang.Long> getTimers()

#### log

    public void log​(java.lang.Object msg)

#### log

    public void log​(java.lang.String str,
                    java.lang.Object... args)

#### log

    public void log​(java.util.logging.Level level,
                    java.lang.String str,
                    java.lang.Object... args)

#### log

    public void log​(java.util.logging.Level level,
                    java.lang.Object msg)